Subject: V block clamps

From: [email-masked] (Russ Kepler)
Date: Tue, 4 Oct 1994 22:34:55 GMT

I recently got some V blocks in a old machinist's outfit, and am
looking for matching clamps.  The blocks look exactly like a Starrett
568.  The clamp fits a minimum opening of 1.714 and has an opening of
2" (the clamp drops into a slot of 1.714 and slides across into a 2"
opening).  I don't have a clamp for a 568 to check, but it sure looks
right - can anyone check?

At the same time I'm looking for anyone that stocks replacement parts
for Starrett's Last Word 711 indicator - I need a 711EA and don't know
anyone offhand that has these parts (and have been too busy to call
around locally).

-- 
Russ Kepler posting from home  [email-masked]

                      Please don't feed the Engineers